/**
 * 项目工料机相关路由
 *
 * @author CaiAoLin
 * @date 2017/6/22
 * @version
 */
import Express from "express";
import GLJController from "../controllers/glj_controller";

module.exports = function (app) {
const router = Express.Router();
let gljController = new GLJController();

// action定义区域
router.post('/getData', gljController.init, gljController.getGljList);
router.post('/update', gljController.init, gljController.updateData);
router.post('/get-ratio', gljController.init, gljController.getRatio);
router.post('/delete-ratio', gljController.init, gljController.deleteMixRatio);

router.get('/test', gljController.init, gljController.test);
router.get('/testModify', gljController.init, gljController.testModify);
router.get('/testDelete', gljController.init, gljController.delete);

app.use('/glj',router);
};
