/**
 * Created by jimiz on 2017/4/1.
 */
var mongoose = require("mongoose");
var db = require("../db/project_db");
var Schema = mongoose.Schema;

var rationProgramSchema = new Schema({
    ID: Number,
    projectID: Number,
    name: String,
    programs: [{
        ID: Number,
        serialNo: Number,
        code: String,
        name: String,
        expression: String, // 表达式
        displayExprs: String, // 显示用表达式/基数说明
        feeRate: String, // Decimal
        tenderFeeRate: String, // Decimal
        feeRateID: Number, // 费率细目ID
        mapField: String, // 对应定额表字段
        comments: String // 备注
    }]
});