/**
 * Created by Mai on 2017/4/1.
 */
var BillsGridSetting ={
    "emptyRows":3,
    "headRows":1,
    "frozenCols": 4,
    "treeCol": 0,
    "headRowHeight":[
        47
    ],
    "cols":[
        {
            "width":150,
            "readOnly":false,
            "head":{
                "titleNames":[
                    "项目编码"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Comic Sans MS"
                ]
            },
            "data":{
                "field":"code",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":50,
            "readOnly":true,
            "head":{
                "titleNames":[
                    "类别"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"type",
                "vAlign":1,
                "hAlign":1,
                "font":"Arial",
                "getText": 'getText.type'
            }
        },
        {
            "width":200,
            "readOnly":false,
            "showHint": true,
            "head":{
                "titleNames":[
                    "项目名称"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"name",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial",
                "wordWrap": true
            }
        },
        {
            "width":60,
            "readOnly":'readOnly.ration',
            "head":{
                "titleNames":[
                    "计量\n单位"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ],
                "wordWrap":[
                    true
                ]
            },
            "data":{
                "field":"unit",
                "vAlign":1,
                "hAlign":1,
                "font":"Arial",
                "cellType": 'cellType.unit'
            }
        },
        {
            "width":180,
            "readOnly": true,
            "head":{
                "titleNames":[
                    "项目特征"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"itemCharacterText",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial",
                "wordWrap": true
            }
        },
        {
            "width":180,
            "readOnly": true,
            "head":{
                "titleNames":[
                    "工作内容"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"jobContentText",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial",
                "wordWrap": true
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "工程专业"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "取费专业"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":120,
            "readOnly": 'readOnly.volumePrice',
            "showHint": true,
            "head":{
                "titleNames":[
                    "工程量计算规则"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"ruleText",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":120,
            "readOnly":true,
            "head":{
                "titleNames":[
                    "定额调整状态"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"adjustState",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.billsParent',
            "head":{
                "titleNames":[
                    "工程量"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"quantity",
                "vAlign":1,
                "hAlign":2,
                "font":"Arial",
                "digit": 'common.quantity'
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "含量"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":120,
            "readOnly":'readOnly.forCalcBase',
            "head":{
                "titleNames":[
                    "计算基数"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "费率(%)"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.ration',
            "head":{
                "titleNames":[
                    "综合单价"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"feesIndex.common.unitFee",
                "vAlign":1,
                "hAlign":2,
                "font":"Arial",
                "digit": 'common.unitFee'
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.ration',
            "head":{
                "titleNames":[
                    "综合合价"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"feesIndex.common.totalFee",
                "vAlign":1,
                "hAlign":2,
                "font":"Arial",
                "digit": 'common.totalFee'
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "暂估单价"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"feesIndex.zangu.unitFee",
                "vAlign":1,
                "hAlign":2,
                "font":"Arial",
                "digit": 'common.unitFee'
            }
        },
        {
            "width":80,
            "readOnly":'readOnly.volumePrice',
            "head":{
                "titleNames":[
                    "暂估合价"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"feesIndex.zangu.totalFee",
                "vAlign":1,
                "hAlign":2,
                "font":"Arial",
                "digit": 'common.totalFee'
            }
        },
        {
            "width":120,
            "readOnly":false,
            "head":{
                "titleNames":[
                    "备注"
                ],
                "spanCols":[
                    1
                ],
                "spanRows":[
                    1
                ],
                "vAlign":[
                    1
                ],
                "hAlign":[
                    1
                ],
                "font":[
                    "Arial"
                ]
            },
            "data":{
                "field":"",
                "vAlign":1,
                "hAlign":0,
                "font":"Arial"
            }
        }
    ]
};
