let BillsCalcBase = [
    {
        'classKey': 'FBFX',
        'className': '分部分项',
        'type': 'bills',
        'subBase': [
            {
                'subKey': 'GCF',
                'subName': '工程费',
                'dispName': '分部分项--工程费'
            },{
                'subKey': 'DEJJRGF',
                'subName': '定额基价人工费',
                'dispName': '分部分项--定额基价人工费'
            },{
                'subKey': 'DEJJCLF',
                'subName': '定额基价材料费',
                'dispName': '分部分项--定额基价材料费'
            },{
                'subKey': 'DEJJJXF',
                'dispName': '分部分项--定额基价机械费'
            },{
                'subKey': 'TZRGF',
                'dispName': '分部分项--调整人工费'
            },{
                'subKey': 'TZJSRGF',
                'dispName': '分部分项--调整机上人工费'
            },{
                'subKey': 'ZCF',
                'dispName': '分部分项--主材费'
            },{
                'subKey': 'SBF',
                'dispName': '分部分项--定额基价设备费'
            },{
                'subKey': 'WJJCLF',
                'dispName': '分部分项--未计价材料费'
            },{
                'subKey': 'RGGR',
                'dispName': '分部分项--人工工日'
            },{
                'subKey': 'GCLQDZDJJZJGCF',
                'dispName': '分部分项--工程量清单中的基价直接工程费'
            },{
                'subKey': 'GCLQDZDJJRGF',
                'dispName': '分部分项--工程量清单中的基价人工费'
            }
        ]
    },{
        'className': 'CSXM',
        'type': 'bills',
        'className': '措施项目',
        'subBase': [
            {
                'subKey': 'CSXMF',
                'dispName': '措施项目费'
            },{
                'subKey': 'ZZCSXMF',
                'dispName': '组织措施项目费'
            },{
                'subKey': 'ZZCSXMDEJJZJGCF',
                'dispName': '组织措施项目定额基价直接工程费'
            },{
                'subKey': 'ZZCSXMDEJJRGF',
                'dispName': '组织措施项目定额基价人工费'
            },{
                'subKey': 'ZZCSXMDEJJCLF',
                'dispName': '组织措施项目定额基价材料费'
            },{
                'subKey': 'ZZCSXMDEJJJXF',
                'dispName': '组织措施项目定额基价机械费'
            },{
                'subKey': 'JSCSXMF',
                'dispName': '技术措施项目费'
            },{
                'subKey': 'JSCSXMDEJJZJGCF',
                'dispName': '技术措施项目定额基价直接工程费'
            },{
                'subKey': 'JSCSXMDEJJRGF',
                'dispName': '技术措施项目定额基价人工费'
            },{
                'subKey': 'JSCSXMDEJJCLF',
                'dispName': '技术措施项目定额基价材料费'
            },{
                'subKey': 'JSCSXMDEJJJXF',
                'dispName': '技术措施项目定额基价机械费'
            },{
                'subKey': 'JSCSXMTZRGF',
                'dispName': '技术措施项目调整人工费'
            },{
                'subKey': 'JSCSXMTZJSRGF',
                'dispName': '技术措施项目调整机上人工费'
            },{
                'subKey': 'JSCSXMZCF',
                'dispName': '技术措施项目主材费'
            },{
                'subKey': 'JSCSXMSBF',
                'dispName': '技术措施项目设备费'
            },{
                'subKey': 'JSCSXMWJJCLF',
                'dispName': '技术措施项目未计价材料费'
            },{
                'subKey': 'JSCSXMQDZDDEJJZJGCF',
                'dispName': '技术措施项目清单中的定额基价直接工程费'
            },{
                'subKey': 'JSCSXMQDZDDEJJRGF',
                'dispName': '技术措施项目清单中的定额基价人工费'
            }
        ]
    },{
        'classKey': 'QTXM',
        'className': '其他项目',
        'subBase': [
            {
                'subKey': 'QTXMF',
                'dispName': '其他项目费'
            },{
                'subKey': 'GF',
                'dispName': '规费'
            },{
                'subKey': 'SJ',
                'dispName': '税金'
            },{
                'subKey': 'SQGCZJ',
                'dispName': '税前工程造价'
            }
        ]
    },{
        'classKey': 'FBF',
        'className': '分包费',
        'subBase': [
            {
                'subKey': 'FBF',
                'dispName': '分包费'
            },{
                'subKey': 'FBJJZJGCF',
                'dispName': '分包基价直接工程费'
            },{
                'subKey': 'FBJJRGF',
                'dispName': '分包基价人工费'
            },{
                'subKey': 'FBJJCLF',
                'dispName': '分包基价材料费'
            },{
                'subKey': 'FBJJJXF',
                'dispName': '分包基价机械费'
            },{
                'subKey': 'FBJJZCF',
                'dispName': '分包基价主材费'
            },{
                'subKey': 'FBJJSBF',
                'dispName': '分包基价设备费'
            },{
                'subKey': 'FBJJRGGR',
                'dispName': '分包基价人工工日'
            }
        ]
    },{

        'classKey': 'RCJ',
        'type': 'projectGLJ',
        'className': '人材机',
        'subBase': [
            {
                'subKey': 'RGJC',
                'dispName': '人工价差'
            },{
                'subKey': 'CLJC',
                'dispName': '材料价差'
            },{
                'subKey': 'JXJC',
                'dispName': '机械价差'
            },{
                'subKey': 'JGRGF',
                'dispName': '甲供人工费'
            },{
                'subKey': 'JGCLF',
                'dispName': '甲供材料费'
            },{
                'ubKey': 'JGJXF',
                'dispName': '甲供机械费'
            },{
                'ubKey': 'JGZCF',
                'dispName': '甲供主材费'
            },{
                'ubKey': 'JGSBF',
                'dispName': '甲供设备费'
            },{
                'subKey': 'JDRGF',
                'dispName': '甲定人工费'
            },{
                'subKey': 'JDCLF',
                'dispName': '甲供材料费'
            },{
                'ubKey': 'JDJXF',
                'dispName': '甲供机械费'
            },{
                'ubKey': 'JDZCF',
                'dispName': '甲供主材费'
            },{
                'ubKey': 'JDSBF',
                'dispName': '甲供设备费'
            }
        ]
    },{
        'className': '结算价'
    },{
        'className': '变量表'
    }
];
