/**
 * 计价规则数据结构
 *
 * @author CaiAoLin
 * @date 2017/8/31
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'engineering_lib';
let modelSchema = {
    // 标准清单
    bill_lib: {
        type: Schema.Types.Mixed,
        default: []
    },
    // 定额库
    ration_lib: {
        type: Schema.Types.Mixed,
        default: []
    },
    // 工料机库
    glj_lib: {
        type: Schema.Types.Mixed,
        default: []
    },
    // 列设置
    main_tree_col: {
        type: Schema.Types.Mixed,
        default: {
            "emptyRows":3,
            "headRows":0,
            "treeCol": 0,
            "headRowHeight":[],
            "cols":[]
        }
    },
    // 费率标准库
    fee_lib: {
        type: Schema.Types.Mixed,
        default: []
    }
};
let model = mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
export {model as default, collectionName as collectionName};

