/**
 * 日志数据结构
 *
 * @author CaiAoLin
 * @date 2017/7/27
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'log';
let modelSchema = {
    // 日志类型
    type: {
        type: Number,
        index: true
    },
    // 日志内容
    message: Schema.Types.Mixed,
    // 关联用户id
    user_id: {
        type: String,
        index: true
    },
    // 创建时间
    create_time: Number
};
let model = mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
export {model as default, collectionName as collectionName};